package com.diagbot.facade;

import java.util.List;

import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.GetAllLexiconDTO;
import com.diagbot.entity.Lexicon;
import com.diagbot.service.impl.LexiconServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.StringUtil;
import com.diagbot.vo.GetAllLexiconVO;

/**
 * @Description: 术语类型业务层
 * @author: Weixuan Huang
 * @time: 2019/1/16 14:17
 */
@Component
public class LexiconFacade extends LexiconServiceImpl {
	
	 /**
     * 获取所有术语类型
     * @param getAllLexiconVO
     * @return
     */
    public List<GetAllLexiconDTO> getAllLexicon(GetAllLexiconVO getAllLexiconVO){
    	QueryWrapper<Lexicon> lexiconQe = new QueryWrapper<>();
    	lexiconQe.eq("is_deleted", "N");
    	if(StringUtil.isNotBlank(getAllLexiconVO.getName())){
    		lexiconQe.like("name", getAllLexiconVO.getName());
    	}
    	
    	return BeanUtil.listCopyTo(list(lexiconQe), GetAllLexiconDTO.class);
    }


}
