package com.diagbot.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.GetAllInformationDTO;
import com.diagbot.dto.LibraryInfoDTO;
import com.diagbot.entity.LibraryInfo;
import com.diagbot.vo.GetAllInformationVO;

/**
 * <p>
 * 提示信息 Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface LibraryInfoMapper extends BaseMapper<LibraryInfo> {

	/**
	 * 获取医学术语命名列表
	 * @param getAllInformationVO
	 * @return
	 */
    public IPage<GetAllInformationDTO> getAllInformation(GetAllInformationVO getAllInformationVO);

    /**
     * 获取所有术语信息
     *
     * @param conceptVo
     * @return IPage<LibraryInfoDTO>
     */
    public IPage<LibraryInfoDTO> getAllConcept(GetAllInformationVO conceptVo);

    /**
     * 获取所有没有实体关联的静态信息
     *
     * @result List<LibraryInfo>
     *
     */
    public List<LibraryInfo> getLimboItems();
}
