package com.diagbot.web;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.GetAllLexiconDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.LexiconFacade;
import com.diagbot.vo.GetAllLexiconVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
@RestController
@RequestMapping("/lexicon")
@SuppressWarnings("unchecked")
@Api(value = "术语类型维护相关API", tags = { "术语类型维护相关API" })
public class LexiconController {
	
    @Autowired
    private LexiconFacade lexiconFacade;
    
    @ApiOperation(value = "获取所有术语类型[by:rengb]")
    @PostMapping("/getAllLexicon")
    @SysLogger("getAllLexicon")
    public RespDTO<List<GetAllLexiconDTO>> getAllLexicon(@RequestBody GetAllLexiconVO getAllLexiconVO) {
        return RespDTO.onSuc(lexiconFacade.getAllLexicon(getAllLexiconVO));
    }
    
    
}
